Bug 14428 - FCKEditor: Images disappear on drag/drop and copy/paste
Summary: FCKEditor: Images disappear on drag/drop and copy/paste
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Alexey Proskuryakov
URL: http://www.fckeditor.net/demo
Keywords: InRadar
Depends on:
Blocks: 9915
  Show dependency treegraph
 
Reported: 2007-06-27 04:05 PDT by Justin Garcia
Modified: 2007-12-30 06:24 PST (History)
3 users (show)

See Also:


Attachments
proposed fix (4.88 KB, patch)
2007-12-29 07:08 PST, Alexey Proskuryakov
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Garcia 2007-06-27 04:05:59 PDT
Goto http://www.fckeditor.net/nightly/browsers_test.html
Insert a smiley.
Drag and drop it somewhere in the document.

It disappears.
Comment 1 Frederico Caldeira Knabben 2007-09-22 03:51:42 PDT
This bug is reproducible on Mac only. It doesn't happen on Windows.
Comment 2 Mark Rowe (bdash) 2007-11-22 09:40:46 PST
<rdar://problem/5610794>
Comment 3 Frederico Caldeira Knabben 2007-11-22 09:42:08 PST
As of FCKeditor 2.5 Beta, this one can be tested at http://www.fckeditor.net/demo.
Comment 4 Alexey Proskuryakov 2007-11-22 09:43:30 PST
http://dev.fckeditor.net/ticket/566
Comment 5 Frederico Caldeira Knabben 2007-11-28 04:18:28 PST
Marking this bug as critical for FCKeditor.
Comment 6 Justin Garcia 2007-12-06 13:29:55 PST
Regressed in r21110.
Comment 7 Alexey Proskuryakov 2007-12-29 07:06:20 PST
The problem here is that we don't properly re-create fragments from web archives that have frames with about:blank URLs. I'm working on a fix.

I think that a workaround for FCKEditor would be to use complete URLs for smileys (currently, absolute ones such as "/fckeditor/editor/images/smiley/msn/regular_smile.gif" are used).
Comment 8 Alexey Proskuryakov 2007-12-29 07:08:45 PST
Created attachment 18169 [details]
proposed fix
Comment 9 Darin Adler 2007-12-29 14:05:33 PST
Comment on attachment 18169 [details]
proposed fix

Seems OK. Maybe there's a more elegant way for us to make sure that "about:blank" is not treated as a base URL, but I can't think of anything off hand.

r=me
Comment 10 Alexey Proskuryakov 2007-12-29 22:15:15 PST
Committed revision 29034.